--  paquetage  P_Bounded_Io
--  fichier  p_bounded_io.ads
--  vu en TD 12A pour TP 12A
--  construit sur le modle de Ada.Strings.Unbounded.Text_Io;
--  T.Avignon & D.Feneuille
--  Novembre 2001

with Ada.Text_Io;                use Ada.Text_Io;
with Ada.Strings.Bounded;

generic
   with package P_Bounded is new
      Ada.Strings.Bounded.Generic_Bounded_Length(<>);
package P_Bounded_Io is

   function Get_Line return P_Bounded.Bounded_String;
 
   function Get_Line (
         File : Ada.Text_Io.File_Type ) 
     return P_Bounded.Bounded_String; 

   procedure Put_Line (
         Item : in     P_Bounded.Bounded_String );
 
   procedure Put_Line (
         File :        Ada.Text_Io.File_Type;   
         Item : in     P_Bounded.Bounded_String ); 

   procedure Put (
         File :        Ada.Text_Io.File_Type;   
         Item : in     P_Bounded.Bounded_String );
 
   procedure Put (
         Item : in     P_Bounded.Bounded_String ); 

end P_Bounded_Io ;
