--  paquetage  P_Bounded_G.P_Bounded_G_Io
--  fichier  p_bounded_g-p_bounded_g_io.ads
--  T. AVIGNON et D. Feneuille
--  TP 12B
--  permet les E/S sur le clone des Bounded
--  ressemble beaucoup au paquetage P_Bounded_Io (TP12A)
--  comprenez bien les diffrences avec le paquetage du 12A

with Ada.Text_Io;       use Ada.Text_Io;
generic
package P_Bounded_G.P_Bounded_G_Io is

   function Get_Line return Bounded_String; 

   function Get_Line (
         File : File_Type ) 
     return Bounded_String; 

   procedure Put_Line (
         Item : in     Bounded_String ); 

   procedure Put_Line (
         File :        File_Type;     
         Item : in     Bounded_String ); 

   procedure Put (
         Item : in     Bounded_String ); 

   procedure Put (
         File :        File_Type;     
         Item : in     Bounded_String ); 

end P_Bounded_G.P_Bounded_G_Io ;
