-- fichier p_integr.ads
-- TP 15
-- Feneuille 98

generic
   type T_Reel is digits <>; 
   with function F (
         X : T_Reel ) 
     return T_Reel; 

package P_Integr is

   -- ceci pour la premire partie du TP 15
   -- testez d'abord les deux fonctions ci dessous

   function Integ_Trap (
         A,                        
         B       : in     T_Reel;  
         Nb_Iter : in     Positive ) 
     return T_Reel; 
     
   function Integ_Tang (
         A,                        
         B       : in     T_Reel;  
         Nb_Iter : in     Positive ) 
     return T_Reel;
   -- 
   -- *****************************************************************
   -- suite du TP deuxime partie

   function Integrale (
         A,                    
         B    : in     T_Reel; 
         Prec : in     T_Reel  ) 
     return T_Reel; 

   Exc_Erreur : exception; -- si A>= B

end P_Integr;

