-- fichier p_piece-eau.ads (comment en TD 16)
-- T. AVIGNON D.Feneuille
-- Novembre 98
-- fichier donn pour le TP 16 mais  concevoir en TD 16
-- sur le modle de P_Piece.Chambre

package P_Piece.Eau is
   subtype T_Nb_Poste_Eau is Natural range 0..5;
   type T_Poste_Eau is (Lavabo,Baignoire,Bidet,Evier,Douche,Robinet);

   type T_Piece_D_Eau is new T_Piece  with private;

   function  Get_Nb (P_Eau :in T_Piece_D_Eau) return T_Nb_Poste_Eau;
   procedure Get (P_Eau : out T_Piece_D_Eau);
   procedure Put (P_Eau : in  T_Piece_D_Eau);

private

   type T_Vect is array (Natural range <>) of T_Poste_Eau;
   type T_Point_Eau (Nb_Elem : T_Nb_Poste_Eau:=0) is
   record
      V:T_Vect(1..Nb_Elem);
   end record;

   type T_Piece_D_Eau  is new T_Piece   with
      record
      Point_D_Eau : T_Point_Eau;
   end record;

   package P_Poste_Eau is new Ada.Text_Io.Enumeration_Io(T_Poste_Eau);
   use P_Poste_Eau;

end P_Piece.Eau;
