-- fichier p_expression.ads
-- pour tudiants TP 18

with P_Token;                        use  P_Token;
with P_Token.F;                      use P_Token.F;
with Ada.Strings.Unbounded.Text_Io;  use Ada.Strings.Unbounded.Text_Io;
use Ada.Strings.Unbounded;

package P_Expression is

   Max_Car : constant := 80;

   type T_Vect_Token is array (Positive range <>) of T_Ptr_Token;

   procedure Lire (L_Expres : out Unbounded_String);


   procedure Analyse_Lexicale (V   : out T_Vect_Token;
         L_V : out Natural;
         C   : in  Unbounded_String);

   procedure Syntaxe   (V  : in T_Vect_Token;
         Ok : out Boolean);

   procedure Polonaise ( V_Entree  : in T_Vect_Token;
         V_Result  : out T_Vect_Token;
         Long_Res  : out Natural);

   function  Calcul ( V : in T_Vect_Token) return Integer;

   procedure Ecrire (V : in T_Vect_Token);

   Exc_Erreur : exception;

end P_Expression;
                                                                                                                
