-- fichier ts_tp15_a.adb D. Feneuille 98
-- TP 15 

with Ada.Text_Io;          use Ada.Text_Io;
with P_Integr;
with Ada.Numerics.Generic_Elementary_Functions;
                           use Ada.Numerics;
with P_E_Sortie;           use P_E_Sortie; -- pour Image d'un rel

-- pour tester le TP intgration version mimimum
-- premire partie les deux intgrales trapze et tangente
-- intgration de cosinus entre 0 et PI/2
-- puis entre PI/2 et PI et enfin entre 0 et PI
-- essais de convergence


procedure Ts_Tp15_A is 

   package Math_Lib is new Generic_Elementary_Functions(Float);
   use Math_Lib; -- pour Cos!
   package Integra is new P_Integr(Float,Cos);
   use Integra;

begin

   Put (" trapeze (avec 10 iter) cos entre 0 et PI/2: ");
   Put (Image(Integ_Trap(0.0,Pi/2.0,10)));
   New_Line;
   -- 0.99794299
   Put (" tangente (avec 10 iter) cos entre 0 et PI/2: ");
   Put (Image(Integ_Tang(0.0,Pi/2.0,10)));
   New_Line;
   -- 1.00102882 

   Put (" trapeze (avec 20 iter) cos entre 0 et PI/2: ");
   Put (Image(Integ_Trap(0.0,Pi/2.0,20)));
   New_Line;
   -- 0.99948591
   Put (" tangente (avec 20 iter) cos entre 0 et PI/2: ");
   Put (Image(Integ_Tang(0.0,Pi/2.0,20)));
   New_Line;
   -- 1.00025707

   Put (" trapeze (avec 30 iter) cos entre 0 et PI/2: ");
   Put (Image(Integ_Trap(0.0,Pi/2.0,30)));
   New_Line;
   -- 0.99977153
   Put (" tangente (avec 30 iter) cos entre 0 et PI/2: ");
   Put (Image(Integ_Tang(0.0,Pi/2.0,30)));
   New_Line;
   -- 1.00011424   


   Put (" trapeze (avec 10 iter) cos entre PI/2 et PI: ");
   Put (Image(Integ_Trap(Pi/2.0,Pi,10)));
   New_Line;
   --  -0.99794299 
   Put (" tangente (avec 10 iter) cos entre PI/2 et PI: ");
   Put (Image(Integ_Tang(Pi/2.0,Pi,10)));
   New_Line;
   --  -1.00102882

   Put (" trapeze (avec 20 iter) cos entre PI/2 et PI: ");
   Put (Image(Integ_Trap(Pi/2.0,Pi,20)));
   New_Line;
   --  -0.99948591
   Put (" tangente (avec 20 iter) cos entre PI/2 et PI: ");
   Put (Image(Integ_Tang(Pi/2.0,Pi,20)));
   New_Line;
   --  -1.00025707

   Put (" trapeze (avec 30 iter) cos entre PI/2 et PI: ");
   Put (Image(Integ_Trap(Pi/2.0,Pi,30)));
   New_Line;
   --  -0.99977153
   Put (" tangente (avec 30 iter) cos entre PI/2 et PI: ");
   Put (Image(Integ_Tang(Pi/2.0,Pi,30)));
   New_Line;
   --  -1.00011424

   Put (" trapeze (avec 10 iter) cos entre 0 et PI: ");
   Put (Image(Integ_Trap(0.0,Pi,10)));
   New_Line;
   --   -0.0
   Put (" tangente (avec 10 iter) cos entre 0 et PI: ");
   Put (Image(Integ_Tang(0.0,Pi,10)));
   New_Line;
   --   -0.0

   Put (" trapeze (avec 20 iter) cos entre 0 et PI: ");
   Put (Image(Integ_Trap(0.0,Pi,20)));
   New_Line;
   --   -0.0
   Put (" tangente (avec 20 iter) cos entre 0 et PI: ");
   Put (Image(Integ_Tang(0.0,Pi,20)));
   New_Line;
   --   -0.0

   Put (" trapeze (avec 30 iter) cos entre 0 et PI: ");
   Put (Image(Integ_Trap(0.0,Pi,30)));
   New_Line;
   --  -0.0
   Put (" tangente (avec 30 iter) cos entre 0 et PI: ");
   Put (Image(Integ_Tang(0.0,Pi,30)));
   New_Line;
end Ts_Tp15_A;
