-- fichier p_piece-chambre.ads
-- T.  AVIGNON D.Feneuille
-- Novembre 98
-- fichier donn et vu en TD-TP 16 sert pour concevoir P_Piece_D_Eau

package P_Piece.Chambre is
   type T_Meuble is (Lit,Table_De_Nuit,Armoire,Commode);
   subtype T_Nb_Meuble is Natural range 0..5;

   type T_Piece_Chambre is new T_Piece  with private;

   function  Get_Nb (P_Chambre :in T_Piece_Chambre)return T_Nb_Meuble;
   procedure Get (P_Chambre : out T_Piece_Chambre);
   procedure Put (P_Chambre : in  T_Piece_Chambre);

private

   type T_Vect_Meuble is array (Natural range <>) of T_Meuble;
   type T_Meuble_Chambre (Nb_Elem : T_Nb_Meuble:=0) is
   record
      V:T_Vect_Meuble(1..Nb_Elem);
   end record;

   type T_Piece_Chambre is new T_Piece   with
      record
      Meuble: T_Meuble_Chambre;
   end record;

   package P_Meuble is new Ada.Text_Io.Enumeration_Io(T_Meuble);
   use P_Meuble;

end P_Piece.Chambre;
