-- programme principal expression
-- fichier expression.adb pour tudiants TP 18
--  complter pour testabilit srieuse!

with Ada.Text_Io;                   use Ada.Text_Io;
with Ada.Exceptions;                use  Ada.Exceptions;
with P_Expression;                  use  P_Expression;
with Ada.Strings.Unbounded.Text_Io; use Ada.Strings.Unbounded.Text_Io;
                                    use  Ada.Strings.Unbounded;

procedure Expression is

   package P_Entier is new Ada.Text_Io.Integer_Io(Integer);
   use P_Entier;

   Marqueur: Exception_Occurrence;

   L_Expression : Unbounded_String;

   Exp_Arith    : T_Vect_Token (1..Max_Car); -- pour Analyse_Lexicale
   Lon_A        : Natural;

   Polon        : T_Vect_Token (1..Max_Car); -- pour Polonaise
   Lon_P        : Natural;

   Syntaxe_Ok   : Boolean;

begin
   loop
      exit when End_Of_File;
      begin
         Lire(L_Expression);
         Put (L_Expression);
         Ada.Text_Io.New_Line(2);

         Analyse_Lexicale(Exp_Arith,Lon_A,L_Expression);
         -- avec A_Moi.Analyse_Lexicale(Exp_Arith,Lon_A,L_Expression);

         Ada.Text_Io.Put_Line("Analyse passe");

         Ecrire(Exp_Arith(1..Lon_A));

         Syntaxe (Exp_Arith(1..Lon_A),Syntaxe_Ok);
         -- avec A_Moi.Syntaxe (Exp_Arith(1..Lon_A),Syntaxe_Ok);

         Ada.Text_Io.Put_Line("Syntaxe passe ");

         if Syntaxe_Ok
               then

            Polonaise (Exp_Arith(1..Lon_A),Polon,Lon_P);
            -- avec A_Moi.Polonaise (Exp_Arith(1..Lon_A),Polon,Lon_P);

            Ecrire (Polon(1..Lon_P));
            Ada.Text_Io.New_Line;
            Ada.Text_Io.Put ("rsultat : ");

            Put(Calcul(Polon(1..Lon_P)));
            -- avec Put(A_Moi.Calcul(Polon(1..Lon_P)));

            Ada.Text_Io.New_Line;
         else
            Ada.Text_Io.Put_Line ("erreur de syntaxe");
         end if;
      exception
         when Marqueur:others =>
            Ada.Text_Io.Put_Line(Exception_Information (Marqueur));
      end;
   end loop;
end Expression;
